HSAdminServer (Apache Hadoop MapReduce HistoryServer 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.hs.server, class: HSAdminServer

Package org.apache.hadoop.mapreduce.v2.hs.server

# Class HSAdminServer

java.lang.Object
org.apache.hadoop.service.AbstractService
org.apache.hadoop.mapreduce.v2.hs.server.HSAdminServer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.mapreduce.v2.api.HSAdminProtocol`, `org.apache.hadoop.mapreduce.v2.api.HSAdminRefreshProtocol`, `org.apache.hadoop.security.RefreshUserMappingsProtocol`, `org.apache.hadoop.service.Service`, `org.apache.hadoop.tools.GetUserMappingsProtocol`

@Private public class HSAdminServer extends org.apache.hadoop.service.AbstractService implements org.apache.hadoop.mapreduce.v2.api.HSAdminProtocol

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

  `org.apache.hadoop.service.Service.STATE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected InetSocketAddress`
  `clientRpcAddress`
  `protected org.apache.hadoop.ipc.RPC.Server`
  `clientRpcServer`
  The RPC server that listens to requests from clients

  ### Fields inherited from interface org.apache.hadoop.tools.GetUserMappingsProtocol

  `versionID`

  ### Fields inherited from interface org.apache.hadoop.security.RefreshUserMappingsProtocol

  `versionID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HSAdminServer(org.apache.hadoop.yarn.logaggregation.AggregatedLogDeletionService aggLogDelService, JobHistory jobHistoryService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.hadoop.conf.Configuration`
  `createConf()`
  `String[]`
  `getGroupsForUser(String user)`
  `void`
  `refreshAdminAcls()`
  `void`
  `refreshJobRetentionSettings()`
  `void`
  `refreshLoadedJobCache()`
  `void`
  `refreshLogRetentionSettings()`
  `void`
  `refreshSuperUserGroupsConfiguration()`
  `void`
  `refreshUserToGroupsMappings()`
  `void`
  `serviceInit(org.apache.hadoop.conf.Configuration conf)`
  `protected void`
  `serviceStart()`
  `protected void`
  `serviceStop()`

  ### Methods inherited from class org.apache.hadoop.service.AbstractService

  `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### clientRpcServer

    protected org.apache.hadoop.ipc.RPC.Server clientRpcServer
    The RPC server that listens to requests from clients

  - ### clientRpcAddress

    protected InetSocketAddress clientRpcAddress

- ## Constructor Details

  - ### HSAdminServer

    public HSAdminServer(org.apache.hadoop.yarn.logaggregation.AggregatedLogDeletionService aggLogDelService, JobHistory jobHistoryService)

- ## Method Details

  - ### serviceInit

    public void serviceInit(org.apache.hadoop.conf.Configuration conf) throws Exception
    Overrides:
      `serviceInit` in class `org.apache.hadoop.service.AbstractService`
    Throws:
      `Exception`

  - ### serviceStart

    protected void serviceStart() throws Exception
    Overrides:
      `serviceStart` in class `org.apache.hadoop.service.AbstractService`
    Throws:
      `Exception`

  - ### serviceStop

    protected void serviceStop() throws Exception
    Overrides:
      `serviceStop` in class `org.apache.hadoop.service.AbstractService`
    Throws:
      `Exception`

  - ### getGroupsForUser

    public String[] getGroupsForUser(String user) throws IOException
    Specified by:
      `getGroupsForUser` in interface `org.apache.hadoop.tools.GetUserMappingsProtocol`
    Throws:
      `IOException`

  - ### refreshUserToGroupsMappings

    public void refreshUserToGroupsMappings() throws IOException
    Specified by:
      `refreshUserToGroupsMappings` in interface `org.apache.hadoop.security.RefreshUserMappingsProtocol`
    Throws:
      `IOException`

  - ### refreshSuperUserGroupsConfiguration

    public void refreshSuperUserGroupsConfiguration() throws IOException
    Specified by:
      `refreshSuperUserGroupsConfiguration` in interface `org.apache.hadoop.security.RefreshUserMappingsProtocol`
    Throws:
      `IOException`

  - ### createConf

    protected org.apache.hadoop.conf.Configuration createConf()

  - ### refreshAdminAcls

    public void refreshAdminAcls() throws IOException
    Specified by:
      `refreshAdminAcls` in interface `org.apache.hadoop.mapreduce.v2.api.HSAdminRefreshProtocol`
    Throws:
      `IOException`

  - ### refreshLoadedJobCache

    public void refreshLoadedJobCache() throws IOException
    Specified by:
      `refreshLoadedJobCache` in interface `org.apache.hadoop.mapreduce.v2.api.HSAdminRefreshProtocol`
    Throws:
      `IOException`

  - ### refreshLogRetentionSettings

    public void refreshLogRetentionSettings() throws IOException
    Specified by:
      `refreshLogRetentionSettings` in interface `org.apache.hadoop.mapreduce.v2.api.HSAdminRefreshProtocol`
    Throws:
      `IOException`

  - ### refreshJobRetentionSettings

    public void refreshJobRetentionSettings() throws IOException
    Specified by:
      `refreshJobRetentionSettings` in interface `org.apache.hadoop.mapreduce.v2.api.HSAdminRefreshProtocol`
    Throws:
      `IOException`